<app-navbar></app-navbar>

<div *ngIf = "!isFinished">

    <app-question [feedback]="feedback" [rawQuestion]="rawQuestion" (questionLoaded)="getCurrentQuestion($event)" (answerQuestion)="answerQuestion($event)"></app-question>

</div>

<div *ngIf = "isFinished">
    <div class="container">

        <div id="report">
            <div id="num-correct">
                <h2>Correct Answers:</h2>
                <h1> {{ numCorrect }}</h1>
            </div>
            <div id="num-incorrect">
                <h2>Incorrect Answers:</h2>
                <h1> {{ numIncorrect }} </h1>
            </div>
        </div>
        <hr>
        <div class="answer-report">
            <ul class="logs">
                <li class="log" *ngFor="let log of questionLogs; index as i" [ngSwitch]="log.questionModel">
                    <h1 [attr.index]="i+1">{{log.questionData.text}}</h1> 

                    <div *ngSwitchCase="'MultipleChoiceQuestion'">
                        <div *ngIf="!log.questionData.multiple_correct">
                            <h2 class="user-answer" [ngClass]="log.correctAnswer == null ? 'answer-correct': 'answer-incorrect'">{{log.userAnswer===null ? 'Timed Out' : log.questionData.options[log.userAnswer]}}</h2>
                            <h2 *ngIf="log.correctAnswer != null" class="user-answer answer-correct">{{log.questionData.options[log.correctAnswer]}}</h2>
                        </div>
                        <div *ngIf="log.questionData.multiple_correct">
                            <ul class="answers">
                                <li *ngFor="let option of log.questionData.options; index as i">
                                    <label class="btn btn-block btn-checkbox" [ngClass]="!log.correctAnswer || log.correctAnswer[i]===option.checked? 'answer-correct' : 'answer-incorrect'">
                                        <input type="checkbox" [checked]="option.checked" disabled>
                                        <span class="checkmark"></span>
                                        <span class="checkbox-label">{{option.text}}</span>
                                    </label>
                                </li>
                            </ul>
                        </div>
                    </div>
                    <div *ngSwitchCase="'YesNoQuestion'">
                        <h2 class="user-answer" [ngClass]="log.correctAnswer == null ? 'answer-correct': 'answer-incorrect'">{{log.userAnswer===null ? 'Timed Out' : log.userAnswer ? 'True' : 'False'}}</h2>
                        <h2 *ngIf="log.correctAnswer != null" class="user-answer answer-correct">{{log.correctAnswer ? 'True' : 'False'}}</h2>
                    </div>
                    <div *ngSwitchCase="'DragDropQuestion'">
                        <ul class="dragdrop-answer" [ngClass]="{'answer-correct': log.correctAnswer == null, 'answer-incorrect': log.correctAnswer != null}">
                            <li *ngFor="let item of log.questionData.items; index as i">{{item.text}} <span *ngIf="log.correctAnswer!=null">{{log.correctAnswer[mapIndexes(log.questionData.items)[i]]+1}}</span></li>
                        </ul>
                    </div>
                </li>
            </ul>
        </div>

        <button class="btn btn-block" routerLink = "/home">Back to Home page</button>
    </div>
</div>